/* xenfmt.h
*  Executable file header definitions
*/
#if OEXE
#define WSIGNATURERUN   0x5A4D
typedef struct
  {
    WORD                wSignature;
    WORD                cbLastp;
    WORD                cpnRes;
    WORD                irleMax;
    WORD                cparDirectory;
    WORD                cparMinAlloc;
    WORD                cparMaxAlloc;
    WORD                saStack;
    WORD                raStackInit;
    WORD                wchksum;
    WORD                raStart;
    WORD                saStart;
    WORD                rbrgrle;
    WORD                iovMax;
  }
			RUNTYPE;
#define IBWCHKSUM       18L
#define CBRUN           28
#endif
#if OXOUT OR OIAPX286
#if CDEC20 OR CLATTICE
#include                "aout.h"        /* Definition of x.out header */
#else
#include                "a.out.h"       /* Definition of x.out header */
#endif
typedef struct xexec    RUNTYPE;        /* X.OUT header */
typedef struct xext     RUNEXTTYPE;     /* X.OUT extended header */
#define IBWSYM          16L             /* Offset in x.out header of sym len */
#define IBWRLE          20L             /* Offset in x.out hdr of reloc len */
#define CBRUN           32              /* Size of x.out header */
#define CBRUNEXT        20              /* Size of x.out extended header */

#define S_BSS           0x0004          /* Symbol type BSS */
#define S_DATA          0x0003          /* Symbol type DATA */
#define S_TEXT          0x0002          /* Symbol type TEXT */
#define S_EXTERN        0x0020          /* Symbol externally defined */
#endif
#define CBBSIZE         (CBBOUT + CBRLE)
